OpenAPI SpecificationJSON
API Reference

Document

A document object contains information about one input file. To create it, one can:

  • Use upload endpoint
  • import document by email
  • create document via API

Document

Attribute
Type
Description
id
read-only
integer (int64)

ID of the document

url
read-only
string (url)

URL of the document

s3_name
read-only
string

Storage key of the document file. Internal use only.

parent
read-only
string,null (url)

URL of the parent document (e.g. the zip file it was extracted from)

email
URL

URL of the email object that document was imported by (only for document imported by email).

annotations
read-only
list[string (url)]

List of annotations related to the document. Usually there is only one annotation.

mime_type
read-only
string

MIME type of the document (e.g. application/pdf)

creator
read-only
string,null (url)

User that created the annotation.

created_at
read-only
datetime

Timestamp of document upload or incoming email attachment extraction.

arrived_at
deprecatedread-only
datetime

See created_at

original_file_name
read-only
string

File name of the attachment or upload.

content
read-only
string (url)

Link to the document's raw content (e.g. PDF file). May be null if there is no file associated.

attachment_status
read-only
null | "filtered_by_inbox_resolution" | "filtered_by_inbox_size" | "filtered_by_inbox_mime_type" | "filtered_by_inbox_file_name" | "filtered_by_hook_custom" | "filtered_by_queue_mime_type" | "hook_additional_file" | "hook_converted" | "filtered_by_insecure_mime_type" | "extracted_archive" | "failed_to_extract" | "processed" | "password_protected_archive" | "broken_image"

Reason why the Document got filtered out on Email ingestion.

metadata
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}

List documents

GET api / v1 / documents

Returns paginated response with a list of document objects.

GET
/api/v1/documents
curl -X GET "https://example.rossum.app/api/v1/documents"
{
  "results": [
    {
      "id": 314628,
      "url": "https://example.rossum.app/api/v1/documents/314628",
      "s3_name": "272c2f01ae84a4e19a421cb432e490bb",
      "parent": "https://example.rossum.app/api/v1/documents/203517",
      "email": "https://example.rossum.app/api/v1/emails/1234",
      "annotations": [
        "https://example.rossum.app/api/v1/annotations/314528"
      ],
      "mime_type": "application/pdf",
      "creator": "https://example.rossum.app/api/v1/users/1",
      "created_at": "2020-05-21T12:34:56.789Z",
      "arrived_at": "2020-05-21T12:34:56.789Z",
      "original_file_name": "invoice.pdf",
      "content": "https://example.rossum.app/api/v1/documents/314628/content",
      "attachment_status": "processed",
      "metadata": {
        "some_key": "some_value"
      }
    }
  ],
  "pagination": {
    "next": null,
    "previous": null
  }
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
results*
id
read-only
integer (int64)

ID of the document

url
read-only
string (url)

URL of the document

s3_name
read-only
string

Storage key of the document file. Internal use only.

parent
read-only
string,null (url)

URL of the parent document (e.g. the zip file it was extracted from)

email
URL

URL of the email object that document was imported by (only for document imported by email).

annotations
read-only
list[string (url)]

List of annotations related to the document. Usually there is only one annotation.

mime_type
read-only
string

MIME type of the document (e.g. application/pdf)

creator
read-only
string,null (url)

User that created the annotation.

created_at
read-only
datetime

Timestamp of document upload or incoming email attachment extraction.

arrived_at
deprecatedread-only
datetime

See created_at

original_file_name
read-only
string

File name of the attachment or upload.

content
read-only
string (url)

Link to the document's raw content (e.g. PDF file). May be null if there is no file associated.

attachment_status
read-only
null | "filtered_by_inbox_resolution" | "filtered_by_inbox_size" | "filtered_by_inbox_mime_type" | "filtered_by_inbox_file_name" | "filtered_by_hook_custom" | "filtered_by_queue_mime_type" | "hook_additional_file" | "hook_converted" | "filtered_by_insecure_mime_type" | "extracted_archive" | "failed_to_extract" | "processed" | "password_protected_archive" | "broken_image"

Reason why the Document got filtered out on Email ingestion.

metadata
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
pagination*
pagination
next
URL

URL for the next page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the next page — do not attempt to construct or modify the cursor value.

previous
URL

URL for the previous page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the previous page — do not attempt to construct or modify the cursor value.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Create document

POST api / v1 / documents

Create a new document object.

Use this API call to create a document without an annotation. Suitable for creating documents for mime types that cannot be extracted by Rossum. Only one document can be created per request.

The supported mime types are the same as for document import.

POST
/api/v1/documents
curl -X POST "https://example.rossum.app/api/v1/documents" \  -F content="string"
{
  "id": 314628,
  "url": "https://example.rossum.app/api/v1/documents/314628",
  "s3_name": "272c2f01ae84a4e19a421cb432e490bb",
  "parent": "https://example.rossum.app/api/v1/documents/203517",
  "email": "https://example.rossum.app/api/v1/emails/1234",
  "annotations": [
    "https://example.rossum.app/api/v1/annotations/314528"
  ],
  "mime_type": "application/pdf",
  "creator": "https://example.rossum.app/api/v1/users/1",
  "created_at": "2020-05-21T12:34:56.789Z",
  "arrived_at": "2020-05-21T12:34:56.789Z",
  "original_file_name": "invoice.pdf",
  "content": "https://example.rossum.app/api/v1/documents/314628/content",
  "attachment_status": "processed",
  "metadata": {
    "some_key": "some_value"
  }
}
{
  "detail": "Missing filename. Request should include a Content-Disposition header with a filename parameter.",
  "code": "parse_error"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}
Attribute
Type
Description
content*
string (binary)

The file to be uploaded.

metadata
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
parent
string (url)

URL of the parent document (e.g. the original file based on which the uploaded content was created)

Response

201Created

Created

Attribute
Type
Description
id
read-only
integer (int64)

ID of the document

url
read-only
string (url)

URL of the document

s3_name
read-only
string

Storage key of the document file. Internal use only.

parent
read-only
string,null (url)

URL of the parent document (e.g. the zip file it was extracted from)

email
URL

URL of the email object that document was imported by (only for document imported by email).

annotations
read-only
list[string (url)]

List of annotations related to the document. Usually there is only one annotation.

mime_type
read-only
string

MIME type of the document (e.g. application/pdf)

creator
read-only
string,null (url)

User that created the annotation.

created_at
read-only
datetime

Timestamp of document upload or incoming email attachment extraction.

arrived_at
deprecatedread-only
datetime

See created_at

original_file_name
read-only
string

File name of the attachment or upload.

content
read-only
string (url)

Link to the document's raw content (e.g. PDF file). May be null if there is no file associated.

attachment_status
read-only
null | "filtered_by_inbox_resolution" | "filtered_by_inbox_size" | "filtered_by_inbox_mime_type" | "filtered_by_inbox_file_name" | "filtered_by_hook_custom" | "filtered_by_queue_mime_type" | "hook_additional_file" | "hook_converted" | "filtered_by_insecure_mime_type" | "extracted_archive" | "failed_to_extract" | "processed" | "password_protected_archive" | "broken_image"

Reason why the Document got filtered out on Email ingestion.

metadata
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
400Bad Request

Bad Request

responseobject

This error object can have any number of properties, and their names and types are not predefined.

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Retrieve document

GET api / v1 / documents / {documentID}

Get a document object.

GET
/api/v1/documents/{documentID}
curl -X GET "https://example.rossum.app/api/v1/documents/0"
{
  "id": 314628,
  "url": "https://example.rossum.app/api/v1/documents/314628",
  "s3_name": "272c2f01ae84a4e19a421cb432e490bb",
  "parent": "https://example.rossum.app/api/v1/documents/203517",
  "email": "https://example.rossum.app/api/v1/emails/1234",
  "annotations": [
    "https://example.rossum.app/api/v1/annotations/314528"
  ],
  "mime_type": "application/pdf",
  "creator": "https://example.rossum.app/api/v1/users/1",
  "created_at": "2020-05-21T12:34:56.789Z",
  "arrived_at": "2020-05-21T12:34:56.789Z",
  "original_file_name": "invoice.pdf",
  "content": "https://example.rossum.app/api/v1/documents/314628/content",
  "attachment_status": "processed",
  "metadata": {
    "some_key": "some_value"
  }
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
id
read-only
integer (int64)

ID of the document

url
read-only
string (url)

URL of the document

s3_name
read-only
string

Storage key of the document file. Internal use only.

parent
read-only
string,null (url)

URL of the parent document (e.g. the zip file it was extracted from)

email
URL

URL of the email object that document was imported by (only for document imported by email).

annotations
read-only
list[string (url)]

List of annotations related to the document. Usually there is only one annotation.

mime_type
read-only
string

MIME type of the document (e.g. application/pdf)

creator
read-only
string,null (url)

User that created the annotation.

created_at
read-only
datetime

Timestamp of document upload or incoming email attachment extraction.

arrived_at
deprecatedread-only
datetime

See created_at

original_file_name
read-only
string

File name of the attachment or upload.

content
read-only
string (url)

Link to the document's raw content (e.g. PDF file). May be null if there is no file associated.

attachment_status
read-only
null | "filtered_by_inbox_resolution" | "filtered_by_inbox_size" | "filtered_by_inbox_mime_type" | "filtered_by_inbox_file_name" | "filtered_by_hook_custom" | "filtered_by_queue_mime_type" | "hook_additional_file" | "hook_converted" | "filtered_by_insecure_mime_type" | "extracted_archive" | "failed_to_extract" | "processed" | "password_protected_archive" | "broken_image"

Reason why the Document got filtered out on Email ingestion.

metadata
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Partial update document

PATCH api / v1 / documents / {documentID}

Update part of a document object.

PATCH
/api/v1/documents/{documentID}
curl -X PATCH "https://example.rossum.app/api/v1/documents/0" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 314628,
  "url": "https://example.rossum.app/api/v1/documents/314628",
  "s3_name": "272c2f01ae84a4e19a421cb432e490bb",
  "parent": "https://example.rossum.app/api/v1/documents/203517",
  "email": "https://example.rossum.app/api/v1/emails/1234",
  "annotations": [
    "https://example.rossum.app/api/v1/annotations/314528"
  ],
  "mime_type": "application/pdf",
  "creator": "https://example.rossum.app/api/v1/users/1",
  "created_at": "2020-05-21T12:34:56.789Z",
  "arrived_at": "2020-05-21T12:34:56.789Z",
  "original_file_name": "invoice.pdf",
  "content": "https://example.rossum.app/api/v1/documents/314628/content",
  "attachment_status": "processed",
  "metadata": {
    "some_key": "some_value"
  }
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
email
URL

URL of the email object that document was imported by (only for document imported by email).

metadata
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}

Response

200OK

OK

Attribute
Type
Description
id
read-only
integer (int64)

ID of the document

url
read-only
string (url)

URL of the document

s3_name
read-only
string

Storage key of the document file. Internal use only.

parent
read-only
string,null (url)

URL of the parent document (e.g. the zip file it was extracted from)

email
URL

URL of the email object that document was imported by (only for document imported by email).

annotations
read-only
list[string (url)]

List of annotations related to the document. Usually there is only one annotation.

mime_type
read-only
string

MIME type of the document (e.g. application/pdf)

creator
read-only
string,null (url)

User that created the annotation.

created_at
read-only
datetime

Timestamp of document upload or incoming email attachment extraction.

arrived_at
deprecatedread-only
datetime

See created_at

original_file_name
read-only
string

File name of the attachment or upload.

content
read-only
string (url)

Link to the document's raw content (e.g. PDF file). May be null if there is no file associated.

attachment_status
read-only
null | "filtered_by_inbox_resolution" | "filtered_by_inbox_size" | "filtered_by_inbox_mime_type" | "filtered_by_inbox_file_name" | "filtered_by_hook_custom" | "filtered_by_queue_mime_type" | "hook_additional_file" | "hook_converted" | "filtered_by_insecure_mime_type" | "extracted_archive" | "failed_to_extract" | "processed" | "password_protected_archive" | "broken_image"

Reason why the Document got filtered out on Email ingestion.

metadata
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Delete document

DELETE api / v1 / documents / {documentID}

Delete document object.

DELETE
/api/v1/documents/{documentID}
curl -X DELETE "https://example.rossum.app/api/v1/documents/0"
Empty
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Document is still referenced."
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

204No Content

Document successfully deleted.

No response body.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Document cannot be deleted due to existing annotation reference.

Attribute
Type
Description
detail
read-only
string

Detail of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Retrieve document content

GET api / v1 / documents / {documentID} / content

Get original document content (e.g. PDF file).

To download multiple documents in one archive, refer to documents download object.

GET
/api/v1/documents/{documentID}/content
curl -X GET "https://example.rossum.app/api/v1/documents/0/content"
"string"
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

responsestring (binary)
400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

GET api / v1 / original / {DocumentS3Name}

Get original document content (e.g. PDF file).

Note that this endpoint was intended to access document content, but is now deprecated. Use content endpoint instead.

GET
/api/v1/original/{DocumentS3Name}
curl -X GET "https://example.rossum.app/api/v1/original/272c2f01ae84a4e19a421cb432e490bb"
"string"
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

responsestring (binary)
400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error